@font-face {
	font-family: 'Pretendard Variable';
	font-weight: 45 920;
	font-style: normal;
	font-display: swap;
	src: url('font/PretendardVariable.woff2') format('woff2-variations');
}


*,
*:before,
*:after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body{
  font-family: 'Pretendard';
  font-weight: 400;
  display:flex;
  flex-direction: column;		
  min-height: 100vh;
  overflow-x: hidden;
  color: #333;
  font-size: 1rem;
}

/* PC (1920px 기준)에서는 16px, 모바일 (375px 기준)에서는 14px을 목표로 하는 공식 */
html {
    /* * calc(최소 기준 폰트 크기 + (화면 너비 * 비율))
     * 아래 값은 PC(1920px)에서 16px, 모바일(375px)에서 14px이 되도록 계산된 값입니다.
     */
    font-size: calc(13.68px + 0.12vw); 
}

/* 선택 사항: 과도하게 커지거나 작아지는 것을 방지하기 위한 미디어 쿼리 (보조 역할) */
/* PC (예: 1920px 이상) */
@media screen and (min-width: 1920px) {
    html {
        font-size: 16px; 
    }
}
/* 모바일 (예: 375px 이하) */
@media screen and (max-width: 375px) {
    html {
        font-size: 14px;
    }
}


p {
  margin: 0;
  padding: 0;
  font-size: 1rem;
  line-height: 24px;
}

:root{
  --active-brightness: 0.85;
  --border-radius: .1rem;
  --box-shadow: 2px 2px 10px;
  --color-accent: #118bee15;
  --color-border: #e6e6e6;
  --color-bg: #fff;
  --color-bg-secondary: #f8f9fa;
  --color-bg-link-hover: #f8f9fa;
  --color-link: #118bee;
  --color-primary:#E6002D;
  --color-secondary: #1e1e1e;
  --color-secondary-accent: #920de90b;
  --color-shadow: #f4f4f4;
  --color-table: #118bee;
  --color-text: #222222;
  --color-text-secondary: #999;
  --color-gray100:#f6f9fc;
  --color-gray200:#e9ecef;
  --color-gray300:#dee2e6;
  --color-gray400:#ced4da;
  --color-gray500:#adb5bd;
  --color-gray600:#8898aa;
  --color-gray700:#525f7f;
  --color-gray800:#32325d;
  --color-gray900:#212529;
  --font-family: 'Pretendard', sans-serif;
  --hover-brightness: 1.2;
  --justify-important: center;
  --justify-normal: left;
  --line-height: 1.5;
  --padding-link:8px 10px;
}

.navbar-toggler:focus,
a:focus,
input:focus,
textarea:focus,
button:focus,
.btn:focus,
.btn.focus,
.btn:not(:disabled):not(.disabled).active,
.btn:not(:disabled):not(.disabled):active {
  text-decoration: none;
  outline: none;
  outline: none !important;
  border-color: none !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
}

.form-check-input:checked {
  background-color: #0069ff;
  border-color: #0069ff;
}

select {
  -webkit-writing-mode: horizontal-tb !important;
  text-rendering: auto;
  color: #27314F;
  letter-spacing: normal;
  word-spacing: normal;
  text-transform: none;
  text-indent: 0px;
  text-shadow: none;
  display: inline-block;
  text-align: start;
  -webkit-appearance: menulist;
  -moz-appearance: menulist;
  appearance: menulist;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  white-space: pre;
  -webkit-rtl-ordering: logical;
  background-color: -internal-light-dark(white, #3b3b3b);
  cursor: default;
  margin: 0em;
  font: 400 14px;
  border-radius: 0px;
  border-width: 1px;
  border-style: solid;
  border-color: -internal-light-dark(#767676, #858585);
  -o-border-image: initial;
  border-image: initial;
}

span,
a {
  display: inline-block;
  text-decoration: none;
  transition: all 0.4s ease;
  -webkit-transition: all 0.4s ease;
  -moz-transition: all 0.4s ease;
  color: rgba(var(--bs-link-color-rgb),var(--bs-link-opacity,1));
}

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

img {
  max-width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 600;
  margin: 0px;
  color: #000000;
  font-family: 'Pretendard';
}

h1 a,
h2 a,
h3 a,
h4 a,
h5 a,
h6 a {
  color: inherit;
}

h1 {
  font-size: 3.125rem;
}

h2 {
  font-size: 2.441rem;
}

h3 {
  font-size: 1.953rem;
}

h4 {
  font-size: 1.563rem;
}

h5 {
  font-size: 1.25rem;
}

h6 {
  font-size: 1rem;
}

ul {
  margin: 0px;
  padding: 0px;
  list-style-type: none;
}

.btn {
  --bs-btn-padding-x: 0.75rem;
  --bs-btn-padding-y: 0.375rem;
  --bs-btn-font-family: ;
  --bs-btn-font-size: 1rem;
  --bs-btn-font-weight: 400;
  --bs-btn-line-height: 1.5;
  --bs-btn-color: var(--bs-body-color);
  --bs-btn-bg: transparent;
  --bs-btn-border-width: var(--bs-border-width);
  --bs-btn-border-color: transparent;
  --bs-btn-border-radius: var(--bs-border-radius);
  --bs-btn-hover-border-color: transparent;
  --bs-btn-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15),0 1px 1px rgba(0, 0, 0, 0.075);
  --bs-btn-disabled-opacity: 0.65;
  --bs-btn-focus-box-shadow: 0 0 0 0.25rem rgba(var(--bs-btn-focus-shadow-rgb), .5);
  display: inline-block;
  padding: var(--bs-btn-padding-y) var(--bs-btn-padding-x);
  font-family: var(--bs-btn-font-family);
  font-size: var(--bs-btn-font-size);
  font-weight: var(--bs-btn-font-weight);
  line-height: var(--bs-btn-line-height);
  color: var(--bs-btn-color);
  text-align: center;
  text-decoration: none;
  vertical-align: middle;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  border: var(--bs-btn-border-width) solid var(--bs-btn-border-color);
  border-radius: var(--bs-btn-border-radius);
  background-color: var(--bs-btn-bg);
  transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.text-btn{
  color:var(--color-link);
}

.mt-0 {
  margin-top: 0 !important
}

.mt-1 {
  margin-top: .25rem !important
}

.mt-2 {
  margin-top: .5rem !important
}

.mt-3 {
  margin-top: 1rem !important
}

.mt-4 {
  margin-top: 1.5rem !important
}

.mt-5 {
  margin-top: 3rem !important
}

.mb-0 {
  margin-bottom: 0 !important
}

.mb-1 {
  margin-bottom: .25rem !important
}

.mb-2 {
  margin-bottom: .5rem !important
}

.mb-3 {
  margin-bottom: 1rem !important
}

.mb-4 {
  margin-bottom: 1.5rem !important
}

.mb-5 {
  margin-bottom: 3rem !important
}

.w-50 {
  width: 50%!important;
}

.txt-center{
  text-align: center !important;
}

/*********************************
          pc 스크롤바
 *********************************/
@media all and (min-width: 768px) {
  ::-webkit-scrollbar {
    width: 8px;
    height: 8px;
  }
  ::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, 0.2);
    background-clip: padding-box;
    border-width: 2px;
    border-style: solid;
    border-color: transparent;
    border-radius: 5px;
    transition: all 0.2s ease-in-out;
  }
  ::-webkit-scrollbar-track {
    background: 0 0;
  }
}


/*********************************
  인풋, 셀렉트박스, 체크박스, 라디오
 *********************************/
.form_inner {
  position: relative;
  display: flex;
  align-items: center;
  height: 46px;
  width: 100%;
  background-color: #fff;
  padding-inline: 16px;
  border: .0625rem solid #eee;
  border-radius: .1rem;
  cursor: pointer;
}

.form_inner input {
  flex: auto;
  height: 100%;
  width: 100%;
  background: rgba(0,0,0,0);
  font-size: 1rem;
  border: 0;
  outline: none;
  box-shadow: none;
  padding-inline: 0;
  font-family: inherit;
}

.form_inner textarea {
  flex: auto;
  height: 100%;
  width: 100%;
  background: rgba(0,0,0,0);
  font-size: 1rem;
  border: 0;
  outline: none;
  box-shadow: none;
  padding-inline: 0;
  resize: none;
  font-family: inherit;
}

.form_inner:has(textarea){
  height: 150px;
  padding: 16px;
}

.input_box label, .input_box_combo label,.input_wrap label {
  position: relative;
  font-size: 1rem;
  height: 46px;
  display: inline-block;
  line-height: 46px;
  min-width: 160px;
}

.input_wrap {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  padding-top: .4rem;
  margin-bottom: 1rem;
}

.input_wrap .input_box, .input_wrap .input_box_combo {
  flex: 1;
}


.input_box_combo .combo_list {
  overflow-x: hidden;
  display: none;
  position: absolute;
  top: 10%;
  left: -1px;
  width: calc(100% + 2px);
  max-height: 17.5rem;
  background: #fff;
  border-width: 1px;
  border-style: solid;
  border-color: rgba(0,0,0,0);
  border-radius: .1rem;
  box-shadow: 0 10px 20px 0 rgba(0,0,0,.12);
  z-index: 9;
}

.input_box_combo .form_inner.on .combo_list:has(.combo_list_inner>li:not(:empty)) {
  display: block;
  top: 100%;
  border-color: #222;
  border-radius: .1rem;
}

.input_box_combo .form_inner:not(.locat).on {
  border-color: #222;
}

.input_box_combo .form_inner:has(.combo_list_inner>li:not(:empty)).on {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.input_box_combo .form_inner:after {
  content: "";
  background: url(../images/arrowdown.svg)no-repeat;
  background-size: cover;
  position: absolute;
  top: calc(50% - 8px);
  right: 16px;
  width: 18px;
  height: 18px;
  transition: transform .2s;
}

.input_box_combo .form_inner.on:after {
  transform: rotate(180deg);
}

.input_box_combo .form_inner .combo_list_inner>li {
  font-size: 1rem;
  color: #222;
  padding: 12px 20px;
}

.input_box_combo .form_inner .combo_list_inner>li:hover, .input_box_combo .form_inner .combo_list_inner>li.selected {
  background-color: #f5f5f5;
}

.input_box_combo .form_inner:not(.locat):has(input:disabled) input, .input_box_combo .form_inner:not(.locat):has(input:read-only) input{
  color: #222;
  cursor: pointer;
  pointer-events: none;
}

input[type=search]::-webkit-search-cancel-button {
  -webkit-appearance: none;
  width: 20px; 
  height: 20px; 
  background: url("data:images/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M18 6L6 18' stroke='%23666666' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M6 6L18 18' stroke='%23666666' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E") center center no-repeat;
  cursor: pointer;
}

.input_box_search .form_inner {
  padding-inline: 16px 8px;
}

.form_inner:has(input[type=text]:focus),
.form_inner:has(input[type=date]:focus),
.form_inner:has(input[type=password]:focus),
.form_inner:has(input[type=search]:focus),
.form_inner:has(input[type=number]:focus),
.form_inner:has(input[type=tel]:focus),
.form_inner:has(input[type=email]:focus),
.form_inner:has(input[type=month]:focus),
.form_inner:has(input[type=datetime-local]:focus),
.form_inner:has(textarea:focus) {
  border-color: #222
}


input[type='date'] {
  position: relative; 
  width: 100%;
  background: url('images/calender.svg')no-repeat right;
  background-size: 18px;
}

input[type='date']::-webkit-calendar-picker-indicator {
  position: absolute; 
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: transparent; 
  color: transparent; 
  cursor: pointer;
}

input[type='date']:before {
  content: attr(placeholder); 
  width: 100%;
  color: rgb(117, 117, 117);
}

input[type='date']:focus::before,
input[type='date']:valid::before {
  display: none;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input[type=number] {
    -moz-appearance: textfield;
    appearance: textfield;
}

[class*=input_box] {
  display: flex;
  align-items: center;
  font-size: 0;
  letter-spacing: 0;
  word-spacing: 0;
}

[class*=input_box]:not(:last-child) {
    margin-right: 10px;
}

.input_wrap.phone .input_box_combo{
    flex: 0 1 20%;
}

.chk_box input[type=checkbox], .radio_box input[type=radio], .switch_box input[type=checkbox] {
    display: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

label.must:after {
  content: '';
  position: absolute;
  top: calc(50% - 3px);
  width: 5px;
  height: 5px;
  background: #ff5448;
  margin-left: 4px;
  border-radius: 50%;
}

.form_inner:has(input:disabled){
  background-color: #f2f2f2;
  cursor: not-allowed;
}

.form_inner:has(input:disabled) input{
  color:#999;
    cursor: not-allowed;
}



[class*=input_box]:has(.txt_check),
[class*=input_box]:has(.txt_confirm),
[class*=input_box]:has(.txt_error){
  flex-direction: column;
  align-items: flex-start;
}

[class*=input_box] [class*=txt_]{
  position: relative;
  display: block;
  font-size: 12px;
  margin-top: 8px;
  line-height: 1.4;
  padding-left: 22px;
  word-break: keep-all;
}

[class*=input_box] .txt_check{
  color:#888
}

[class*=input_box] .txt_check:before{
  content: "";
    position: absolute;
    top: 4px;
    left: 4px;
    width: 10px;
    height: 7px;
    border-width: 0 0 2px 2px;
    border-style: solid;
    border-color: #aaa;
    border-radius: 0.6px;
    transform: rotate(-45deg);
}

[class*=input_box] .txt_confirm{
  color:#00b32c
}

[class*=input_box] .txt_confirm:before{
  content: '';
  position: absolute;
  width: 11px;
  height: 11px;
  border: 2px solid;
  left: 6px;
  top: 2px;
  border-radius: 50%;
}


[class*=input_box] .txt_error{
  color: #ca0000;
}

[class*=input_box] .txt_error:before, 
[class*=input_box] .txt_error:after{
  content: '';
  position: absolute;
  top: 2px;
  left: 10px;
  height: 12px;
  width: 2px;
  background-color: #ca0000;
}

[class*=input_box] .txt_error:before{
transform: rotate(45deg);
}

[class*=input_box] .txt_error:after{
transform: rotate(-45deg);
}

.input_wrap:has(input[type=password]){
  align-items: flex-start;
}

.input_wrap:has(.error-box) {
  display: flex;
  align-items: flex-start;
}


/*라디오*/
.radio_box {
    position: relative;
    display: inline-flex;
    align-items: center;
    height: 46px;
    background-repeat: no-repeat;
    background-color: #fff;
    padding-inline: 10px 30px;
    vertical-align: middle;
    cursor: pointer
}

.radio_box:before{
  content: '';
  width: 16px;
  height: 16px;
  border: 4px solid #ddd;
  border-radius: 50%;
  display: inline-flex;
  position: relative;
  right: 6px;
}

.radio_box .radio_label {
    color: #999;
    font-weight: 500;
    margin: 0;
    min-width: auto;
    cursor: pointer;
}

.radio_box:has(input[type=radio]:checked) .radio_label {
    color: #E6002D;
    font-weight: 700
}

.radio_box:has(input[type=radio]:checked):before{
  border-color: #E6002D;
}

.radio_box:has(input[type=radio]:disabled) {
    background-color: #f8f8f8;
    border-color: #eee
}

.radio_box:has(input[type=radio]:disabled) .radio_label {
    color: #ccc;
    font-weight: 400
}

.radio_box:has(input[type=radio]:checked:disabled) {
    border-color: #E6002D;
    opacity: .4
}

.radio_box:has(input[type=radio]:checked:disabled) .radio_label {
    color: #E6002D
}

.radio_box.type2 {
    background-image: none;
    padding-inline:14px;
    border: 1px solid #ccc;
}

.radio_box.type2:has(input[type=radio]:checked) {
    background-image: none
}

.radio_box.type2:before{
  content: none;
}


/*체크박스*/
.chk_box:has(input[type=checkbox]:disabled),.radio_box:has(input[type=radio]:disabled),.switch_box:has(input[type=checkbox]:disabled) {
    cursor: default
}

.chk_box {
    position: relative;
    display: inline-flex;
    align-items: center;
    vertical-align: middle;
    cursor: pointer
}

.chk_box:not(:last-of-type) {
    margin-right: 24px
}

.chk_box .chk_icon {
    flex: none;
    position: relative;
    display: block;
    height: 20px;
    width: 20px;
    background: #fff;
    border: .0625rem solid #ddd;
    border-radius: 20px;
    cursor: pointer
}

.chk_box .chk_label {
    font-size: 0.9375rem;
    color: #444;
    font-weight: 400;
    line-height: 22px;
    cursor: pointer
}

.chk_box .chk_label+.chk_icon {
    margin-left: 8px
}

.chk_box span+span:not(:empty) {
    margin-left: 8px
}

.chk_box input[type=checkbox]~.chk_icon::after {
content: "";
    position: absolute;
    top: 4px;
    left: 4px;
    width: 10px;
    height: 7px;
    border-width: 0 0 2px 2px;
    border-style: solid;
    border-color: #ddd;
    border-radius: 0.6px;
    transform: rotate(-45deg);
}

.chk_box input[type=checkbox]:required~.chk_icon {
    border-color: #ff5448
}

.chk_box input[type=checkbox]:checked~.chk_icon {
    background: #E6002D;
    border-color: #E6002D
}

.chk_box input[type=checkbox]:checked~.chk_icon:after {
    border-color: #fff
}

.chk_box input[type=checkbox]:checked~.chk_label {
    color: #222;
    font-weight: 500
}

.chk_box input[type=checkbox]:checked:disabled~.chk_icon {
    background: #E6002D;
    opacity: .4
}

.chk_box input[type=checkbox]:disabled~.chk_icon {
    background: #ddd;
    cursor: default
}

.chk_box input[type=checkbox]:disabled~.chk_icon::after {
    border-color: #fff
}

.chk_box input[type=checkbox]:disabled~.chk_label {
    cursor: default
}

.chk_box.type2 {
    height: 46px;
    background-repeat: no-repeat;
    background-color: #fff;
    background-image: url("data:image/svg+xml,%3Csvg width='14' height='11' viewBox='0 0 14 11' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12 2L5.125 9.5L2 6.31818' stroke='%23CCCCCC' stroke-width='2.4' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
    background-position: 18px 50%;
    background-size: 14px 10px;
    padding-inline:40px 20px;
    border: 1px solid #ccc;
}

.chk_box.type2 .chk_label {
    font-size: 0.9375rem;
    color: #999;
    font-weight: 500;
    line-height: 14px
}

.chk_box.type2:has(input[type=checkbox]:checked) {
    background-image: url("data:image/svg+xml,%3Csvg width='14' height='11' viewBox='0 0 14 11' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12 2L5.125 9.5L2 6.31818' stroke='%23e80000' stroke-width='2.4' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
    border-color: var(--color-secondary);
}

.chk_box.type2:has(input[type=checkbox]:checked) .chk_label {
    color: var(--color-secondary);
    font-weight: 700
}

.chk_box.type2:has(input[type=checkbox]:disabled) {
    background-color: #f8f8f8;
    border-color: #eee
}

.chk_box.type2:has(input[type=checkbox]:disabled) .chk_label {
    color: #ccc;
    font-weight: 400
}

.chk_box.type2:has(input[type=checkbox]:checked:disabled) {
    border-color: #E6002D;
    opacity: .4
}

.chk_box.type2:has(input[type=checkbox]:checked:disabled) .chk_label {
    color: #E6002D
}

.chk_box.type2:not(:last-of-type) {
    margin-right: 16px
}

.chk_box.md .chk_label {
    font-size: 1rem;
    font-weight: 500
}

.chk_box:last-of-type {
    margin-right: 0
}

@media screen and (max-width: 768px){
  .input_wrap .label{
    flex: 1 1 100%;
  }

  .input_wrap:has(.input_box_combo:nth-child(3)){
    flex-direction: row;
  }

  .input_wrap:has(.input_box_combo:nth-child(3)) .label{
    flex: 1 1 100%;
  }

  .input_wrap:has(.input_box_combo:nth-child(3)) .input_box_combo {
      flex-basis: calc(33.333% - 7px); /* 전체 너비를 3등분 */
  }
}

/***************************************
                layout
***************************************/
header{
  flex:0 0 auto;
}

main{
  flex:1 1 auto;
}

footer{
  flex:0 0 auto;
}


/*********************************
              버튼
 *********************************/
button:not(:disabled), [type=button]:not(:disabled), [type=reset]:not(:disabled), [type=submit]:not(:disabled) {
    cursor: pointer;
    color: inherit;
    touch-action: manipulation;
}

[class*=btn_block] {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-width: .0625rem;
    border-style: solid;
    border-color: #ddd;
    border-radius: .1rem;
    white-space: nowrap;
    vertical-align: middle;
    height: 36px;
    padding-inline:12px
}

[class*=btn_block] span {
    color: #fff;
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1
}

[class*=btn_block].lg {
    height: 52px;
    padding-inline:20px
  }

[class*=btn_block].lg span {
    font-size: 1rem;
    font-weight: 500
}

[class*=btn_block].md {
    height: 46px;
    padding-inline:16px
  }

[class*=btn_block].md span {
    font-size: 1rem;
    font-weight: 500
}

[class*=btn_block].sm {
    height: 28px;
    padding-inline:10px
  }

[class*=btn_block].sm span {
    font-size: 0.75rem;
}

[class*=btn_block]:disabled,[class*=btn_block]:disabled:hover {
    background: #eee;
    cursor: default
}

[class*=btn_block]:disabled span,[class*=btn_block]:disabled:hover span {
    color: #999
}

[class*=btn_block] i+span,[class*=btn_block] span+i {
    margin-left: 4px
}

.btn_block_red {
    background-color: #E6002D;
    border-width: 0
}

.btn_block_red:hover {
    background: #c60028
}

.btn_block_primary {
    background-color: var(--color-secondary);
    border-width: 0
}

.btn_block_primary:hover {
    background: #000
}

.btn_block_secondary {
    background-color: #004999;
    border-width: 0
}

.btn_block_secondary:hover {
    background: #002f62
}

.btn_block_gray {
    background-color: #eee;
    border-width: 0
}

.btn_block_gray span {
    color: #444
}

.btn_block_gray:hover {
    background: #dfdfdf;
}

.btn_block_line {
    background-color: #fff
}

.btn_block_line span {
    color: #666
}

.btn_block_line:hover {
    border-color: #666
}

.btn_block_line:hover span {
    color: #666
}

.btn_block_line.red {
    border-color: #E6002D
}

.btn_block_line.red span {
    color: #E6002D
}

.btn_block_line.red:hover {
    border-color: #222
}

.btn_block_line.red:hover span {
    color: #222
}

.btn_block_line.red:disabled span,.btn_block_line.red:disabled:hover span {
    color: #999
}

.btn_block_line:disabled,.btn_block_line:disabled:hover {
    background: #fff;
    border-color: #ddd
}


[class*=btn_txt] {
    display: inline-flex;
    align-items: center;
    justify-content: flex-start;
    border-width: 0;
    border-style: solid;
    border-color: #ddd;
    border-radius: 0;
    white-space: nowrap;
    vertical-align: middle;
    height: auto;
    background: rgba(0,0,0,0);
    padding: 0
}

[class*=btn_txt] span {
    color: #666;
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.4
}

[class*=btn_txt].md span {
    font-size: 1rem;
    font-weight: 500
}

[class*=btn_txt]:hover span {
    color: #222
}

[class*=btn_txt] i+span,[class*=btn_txt] span+i {
    margin-left: 4px
}

[class*=btn_txt]:disabled span,[class*=btn_txt]:disabled:hover span {
    color: #999
}

.btn_txt_down span {
    color: #666;
    text-decoration: underline;
    cursor: pointer
}

.btn_txt_link span {
    color: #a72b2a;
    text-decoration: underline
}

[class*=btn_icon] {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-width: .0625rem;
    border-style: solid;
    border-color: #ddd;
    border-radius: .5rem;
    white-space: nowrap;
    vertical-align: middle;
    height: 32px;
    background: #fff;
    aspect-ratio: 1;
    padding: 0
}

[class*=btn_icon] span {
    display: none;
    font-size: 0
}

[class*=btn_icon]:not(.btn_icon_only):hover {
    border-color: #a72b2a
}

[class*=btn_icon].lg {
    height: 46px
}

[class*=btn_icon].lg:not(.btn_icon_only):hover {
    border-color: #222
}

[class*=btn_icon].md {
    height: 40px
}

[class*=btn_icon].xsm {
    height: 20px
}

[class*=btn_icon]:disabled,[class*=btn_icon]:disabled:hover {
    opacity: .4;
    border-color: #ddd !important;
    cursor: default
}

.btn_icon_only {
    height: auto;
    background: rgba(0,0,0,0);
    border: 0
}

.btn_icon_round {
    border-radius: 50%
}

.btn_icon_round.bg_grey {
    background: #f6f6f6;
    border: 0
}

.btn_icon_round.bg_grey:hover {
    background: #666;
    border: 0
}



/* 아이콘 */
i[class*=icon-]{
    display: inline-block;
    background-position: center center;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: 100%;
}

i[class*=icon-].xlg {
    width: 48px;
    height: 48px
}

i[class*=icon-].lg {
    width: 40px;
    height: 40px
}

i[class*=icon-].md {
    width: 24px;
    height: 24px
}

i[class*=icon-].df {
    width: 20px;
    height: 20px
}

i[class*=icon-].sm {
    width: 18px;
    height: 18px
}

i[class*=icon-].xsm {
    width: 16px;
    height: 16px
}

i[class*=icon-].xxsm {
    width: 13px;
    height: 13px
}







/*======================================
	tab
========================================*/
.tab_wrap .tab_tit {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  border-bottom: 1px solid #eee;
  gap: 30px;
}

.tab_wrap .tab_tit li{
  position: relative;
  bottom: -1px;
  padding: 0.6rem 0.3rem;
  cursor: pointer;
  border-bottom: 2px solid transparent;
}

.tab_wrap .tab_tit li.active{
  border-bottom: 2px solid var(--color-secondary);
  color: var(--color-secondary);
  font-weight: bold;
}

.tab_wrap .tab_cont {
  display: none;
}

.tab_wrap .tab_cont.active {
  display: block;
  max-width: 1280px;
}

.tab_wrap.pill_type .tab_tit{
  border: none;
  gap: .5rem;
  padding-bottom: 4px;
}

.tab_wrap.pill_type .tab_tit li{
  border: none;
  background: #F3F3F3;
  border-radius: 50px;
  padding: 0.5rem 1rem;
  font-size: 0.9375rem;
}

.tab_wrap.pill_type .tab_tit li.active{
  background: var(--color-secondary);
  color:#fff;
  font-weight: 500;
}



.tab_wrap.txt_type .tab_tit{
  border: none;
  gap: .5rem;
  padding-bottom: 4px;
}

.tab_wrap.txt_type .tab_tit li{
  border: none;
  background: transparent;
  font-size: 0.9375rem;
  padding: 0.4rem;
  color: #888;
}

.tab_wrap.txt_type .tab_tit li:not(:last-child):after{
  content:'';
  border-right: 1px solid #ddd;
  padding-right: 1rem;
  height: 1rem;
  display: inline-block;
  vertical-align: bottom;
}

.tab_wrap.txt_type .tab_tit li.active{
  background: transparent;
  color: #222;
  font-weight: 500;
}



.tab_wrap.vertical {
  display: flex;
  gap: 2.25rem;
}

.tab_wrap.vertical .tab_tit{
  flex-direction: column;
  border-top: 1px solid #ddd;
  padding-top: 1rem;
  width: 200px;
  gap: 1rem;
  border-bottom: none;
}

.tab_wrap.vertical .tab_tit li {
  width: 100%;
  color: #666;
}

.tab_wrap.vertical .tab_tit li.active{
  border-bottom: 2px solid transparent;
  color:#222;
}

.tab_wrap.vertical .tab_cont.active{
  width: 100%;
  border-top: 1px solid #ddd;
  padding: 1.425rem 0;
}

@media screen and (max-width: 1023px){
  .tab_wrap .tab_tit {
    justify-content: space-around;
    align-items: flex-end;
    gap: 0.825rem;
  }

  .tab_wrap .tab_tit li{
    font-size: 0.875rem;
    flex: 1;
    text-align: center;
    padding: 1rem 0;
  }

  .tab_wrap .tab_cont.active{
    width: 100%;    
  }

  .tab_wrap.pill_type .tab_tit{
    justify-content: normal; 
    align-items: center;
  }

  .tab_wrap.pill_type .tab_tit li{
    flex: 0 0 auto;
  }
}

@media screen and (max-width: 768px){
  .tab_wrap.vertical{
    flex-direction: column;
    gap: 0rem;
  }

  .tab_wrap.vertical .tab_tit{
    width: 100%;
    flex-direction: row;
    flex-wrap: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
    justify-content: normal;
  }

  .tab_wrap.vertical .tab_tit li {
    white-space: nowrap;
    flex: 0;
    padding: 0.6rem 0.3rem;
  }

  .tab_wrap.vertical .tab_cont.active{
    border-top: none;
  }
}

@media screen and (max-width: 500px){
  .tab_wrap.pill_type .tab_tit{
    flex-wrap: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
  }
}


/***************************************
              공통 팝업 레이어
***************************************/
.popup-wrapper{
  position: relative;
}

.popup-layer {
  display: none;
  z-index: 1000;
}



/* Dim 팝업: 화면 전체 덮고 중앙 정렬 */
.popup-layer.dim {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.5);
}

.popup-layer.dim .popup-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fff;
  border-radius: .1rem;
  min-width: 300px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.2);
  max-height: 90vh;
  max-width: 90vw;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}




/* No-Dim 팝업: 버튼 근처에 위치 */
.popup-layer.nodim {
  position: absolute;
  background: transparent;
  opacity: 0;
  pointer-events: none;

}

@keyframes aniUp {
  0% {
    transform: translateY(40px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

/* 팝업 활성화 시 */
.popup-layer.nodim.active {
  animation: aniUp 0.4s ease-out forwards;
  pointer-events: auto;
  width: 100%;
}


.popup-layer.nodim .popup-content {
  background: #fff;
  min-width: 250px;
  box-shadow: 0 4px 12px rgba(0,0,0,0.1);
  position: relative;
}

/* 방향별 위치 */
.popup-layer.bottom {
  top: calc(100% + 10px);
  left: 0;
}

.popup-layer.top {
  bottom: calc(100% + 10px);
  left: 0;
}

.popup-layer.left {
  top: 0;
  right: calc(100% + 10px);
}

.popup-layer.right {
  top: 0;
  left: calc(100% + 10px);
}




.popup-header{
  display: flex;
  justify-content: space-between;
  padding: 1rem;
  border-bottom: 1px solid #ddd;
  flex-shrink: 0;
}

.popup-header .popup-title{
  font-weight: bold;
  font-size: 1.125rem;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.popup-body{
  padding: 1rem;
  overflow-y: auto;
  flex-grow: 1;
}


/* 활성화 시 보이기 */
.popup-layer.active {
  display: block;
}

/* 닫기 버튼 */
.popup-close {
  background: none;
    border: none;
    cursor: pointer;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.icon.icon.icon-close {
    background: url(../images/x.svg) no-repeat;
    width: 20px;
    height: 20px;
    background-position: center;
    background-size: cover;
}


/* 배경있는 팝업 열렸을때 외부 스크롤잠금 */
body:has(.popup-layer.dim.active) {
    overflow: hidden;
}

.popup-footer {
  display: flex;
  padding: 1rem;
  border-top: 1px solid #ddd;
  justify-content: flex-end;
}

/* 캘린더 */
.flatpickr-day.selected, .flatpickr-day.startRange, .flatpickr-day.endRange, .flatpickr-day.selected.inRange, .flatpickr-day.startRange.inRange, .flatpickr-day.endRange.inRange, .flatpickr-day.selected:focus, .flatpickr-day.startRange:focus, .flatpickr-day.endRange:focus, .flatpickr-day.selected:hover, .flatpickr-day.startRange:hover, .flatpickr-day.endRange:hover, .flatpickr-day.selected.prevMonthDay, .flatpickr-day.startRange.prevMonthDay, .flatpickr-day.endRange.prevMonthDay, .flatpickr-day.selected.nextMonthDay, .flatpickr-day.startRange.nextMonthDay, .flatpickr-day.endRange.nextMonthDay{
  background: #E6002D;
  border-color: #E6002D;
}

.flatpickr-months .flatpickr-prev-month svg, .flatpickr-months .flatpickr-next-month svg{
  vertical-align: top;
}




/*======================================
	detail/summary 아코디언 커스터마이징
========================================*/

details.accordion {
  padding: 0;
  transition: all 0.3s ease;
}

details.accordion + details.accordion{
  margin-bottom: 1rem;
}

details.accordion[open] summary{
  margin-bottom: 0.6rem;
}

details.accordion summary {
  background-color: #fff;
  cursor: pointer;
  list-style: none;
  position: relative;
}

details.accordion summary::marker {
  display: none; /* 기본 삼각형 제거 */
}

.accordion summary:after {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath d='M6 9l6 6 6-6' stroke='%23000' stroke-width='2' fill='none'/%3E%3C/svg%3E");
  background-size: contain;
  background-repeat: no-repeat;
  position: absolute;
  right: 0rem;
  top: 50%;
  transform: translateY(-50%) rotate(0deg);
  transition: transform 0.3s ease;
}

/* 열렸을 때 회전 */
.accordion[open] summary:after {
  transform: translateY(-50%) rotate(180deg);
}


details.accordion .content {
  padding: 1rem;
  background-color: #f8f8f8;
  border-radius: var(--border-radius);
  max-height: 500px;
  overflow-y: auto;
}

details.accordion .content p{
  white-space: pre-line;
}



details.accordion.type2 summary{
  border-top: 1px solid;
  background-color: #FBFBFB;
  padding: 1.5rem;
}

details.accordion.type2[open] summary{
  border-bottom: none;
  margin: 0;
}

.accordion_wrap details.accordion.type2:not(:first-of-type) summary{
  border-color: #eee;
}

.accordion_wrap details.accordion.type2[open] + details.accordion.type2[open] summary{
    border-color: #000;
}

.accordion.type2 summary:after{
  background: #EBEBEB url(../images/Plus.svg) no-repeat;
  width: 20px;
  height: 20px;
  background-size: 17px;
  padding: 12px;
  border-radius: 4px;
  background-position: center;
  right: 16px;
}

.accordion.type2[open] summary:after{
  background-image: url(../images/minus.svg);
}



/*======================================
	table
========================================*/
.table_wrap {
    overflow-x: auto;
}

.table {
    table-layout: fixed;
    width: 100%;
    background-color: #fff;
    border-radius: .1rem;
    border-spacing: 0;
    border-collapse: collapse;
    border-top: 1px solid #555555;
    min-width: 420px;
}

.table th,
.table td {
  height: auto;
  text-align: center;
  font-size: 0.9375rem;
  line-height: 1.5;
  padding:0.625rem .8125rem;
  border-bottom:1px solid #ddd;
}

.table th {
    background-color: #f5f5f5;
    vertical-align: middle;
    color: #444;
    font-weight: 500
}

.table td {
    color: #222;
    padding: 1.25rem .8125rem;
    border-top: .0625rem solid #ddd;
    white-space: nowrap;
    vertical-align: middle
}

.table .br{
    border-right:.0625rem solid #ddd;
}


/*======================================
	pagination
========================================*/
.pagination {
    display: flex;
    justify-content: center;
    margin-top: 2rem;
}

.pagination .page-btn {
    width: 36px;
    height: 36px;
    line-height: 36px;
    text-align: center;
    border-radius: 50%;
}

.pagination .page-btn.now-page {
    background: var(--color-secondary);
    color: #fff;
}

.pagination .page-prev {
    margin-right: 1rem;
}

.pagination .page-btn.disable {
    filter: opacity(0.3);
    cursor: not-allowed;
}


/*======================================
	alert
========================================*/
.alert_wrap {
  display: none;
  position: fixed;
  top: 0; 
  left: 0; 
  right: 0; 
  bottom: 0;
  background: rgba(0,0,0,0.5);
  z-index: 9999;
  align-items: center;
  justify-content: center;
}

.alert_wrap.active {
  display: flex;
}

.alert_wrap_inner {
  position: relative;
  background: #fff;
  border-radius: var(--border-radius);
  width: 320px;
  max-width: 90%;
  box-shadow: 0 4px 12px rgba(0,0,0,0.2);
  overflow: hidden;
  animation: fadeIn 0.25s ease;
}

.btn_icon_only.alert_close {
  position: absolute;
  top: 12px;
  right: 12px;
  background: none;
  border: none;
  cursor: pointer;
}

.btn_icon_only.alert_close .icon.icon.icon-close{
  width: 13px;
  height: 13px;
}

.alert_body {
  padding: 3rem 2rem;
}

.alert_body .tit {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 8px;
}

.alert_btn {
  display: flex;
  justify-content: center;
}

.alert_btn button {
  flex: 1;
  padding: 1.6rem;
  font-size: 14px;
  border-radius: 0;
  cursor: pointer;
}

/* 애니메이션 */
@keyframes fadeIn {
  from { opacity: 0; transform: scale(0.95); }
  to { opacity: 1; transform: scale(1); }
}




/* SweetAlert2 */
.swal2-popup.custom-alert {
  border-radius: var(--border-radius);
  width: 320px;
  max-width: 90%;
  padding: 2rem 0 0 0;
  box-shadow: 0 4px 12px rgba(0,0,0,0.2);
  text-align: center;
}

.swal2-title {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 8px;
  text-align: left;
  padding-inline: 2rem;
}

.swal2-html-container {
  font-size: 1rem;
  text-align: left;
  padding-inline: 2rem;
}

.swal2-actions {
  display: flex;
  flex-direction: row;
  width: 100%;       /* 팝업 영역과 동일한 폭 */
  margin: 0;
  padding: 0;
  margin-top: 2rem;
}

.swal2-actions button {
  flex: 1;
  width: 100%;
  font-size: 14px;
  border-radius: 0;
  height: 50px;
  cursor: pointer;
}

.swal2-close {
  font-size: 20px;
  color: #333;
  top: -20px;
  right: 10px;
  position: relative;
}


/*======================================
	메인레이어팝업
========================================*/
.mainPopup_wrap {
  display: none;
  position: fixed;
  top: 0; 
  left: 0; 
  right: 0; 
  bottom: 0;
  background: rgba(0,0,0,0.5);
  z-index: 9999;
  align-items: center;
  justify-content: center;
}

.mainPopup_wrap.active {
  display: flex;
}

.mainPopup_wrap_inner {
  position: relative;
  background: #fff;
  border-radius: var(--border-radius);
  width: 400px;
  max-width: 90%;
  box-shadow: 0 4px 12px rgba(0,0,0,0.2);
  overflow: hidden;
  animation: fadeIn 0.25s ease;
}

.mainPopup_body:not(:has(img)){
  padding: 2rem;
  min-height: 280px;
}

.mainPopup_body:has(img) p{
  padding: 0.6rem 1rem 0;
}

.mainPopup_body:has(img) p:last-child{
  margin-bottom: 8px;
}

.mainPopup_body img {
    height: 100%;
    width: 100%;
}

.mainPopup_body .tit {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 8px;
}

.mainPopup_btn {
  display: flex;
  justify-content: center;
}

.mainPopup_btn button {
  flex: 1;
  padding: 1.6rem;
  font-size: 14px;
  border-radius: 0;
  cursor: pointer;
}

.mainPopup_body .swiper-pagination-bullet-active{
  background:var(--color-secondary);
}

/*======================================
	아이콘들
========================================*/
.icon-arrowdown {
    background: url(../images/arrowdown.svg) no-repeat;
    width: 24px;
    height: 24px;
    background-size: cover;
}

.icon-minus {
    background: url(../images/minus.svg) no-repeat;
    width: 24px;
    height: 24px;
    background-position: center;
    background-size: contain;
}

.icon-plus {
    background: url(../images/Plus.svg) no-repeat;
    width: 24px;
    height: 24px;
    background-position: center;
    background-size: contain;
}

.icon-download {
    background: url(../images/booking/download.svg) no-repeat;
    width: 14px;
    height: 14px;
    background-position: center;
    background-size: contain;
}

.icon_closedEyes{
    background: url(../images/eyeSlash.svg) no-repeat;
    width: 18px;
    height: 18px;
    background-position: center;
    background-size: contain;
}

.icon_openedEyes{
    background: url(../images/eye.svg) no-repeat;
    width: 18px;
    height: 18px;
    background-position: center;
    background-size: contain;
}

.icon_search{
    background: url(../images/search_bk.svg) no-repeat;
    width: 18px;
    height: 18px;
    background-position: center;
    background-size: contain;
}

.icon_arrow-left{
    background: url(../images/ArrowLeft.svg) no-repeat;
    width: 18px;
    height: 18px;
    background-position: center;
    background-size: contain;
}

.icon_arrow-right{
    background: url(../images/ArrowRight.svg) no-repeat;
    width: 18px;
    height: 18px;
    background-position: center;
    background-size: contain;
}

.icon-logout{
    background: url(../images/logout.svg) no-repeat;
    width: 18px;
    height: 18px;
    background-position: center;
    background-size: contain;
}